All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::MATRIX_ITERATOR_INCREMENTER< ROWCOL, MATRIXTYPE > Struct Template Reference

Helper class for incrementing an iterator in a dense matrix. More...

`#include <forwards.h>`

## Public Types

typedef MATRIXTYPE::ERROR_SPECIALIZATION_FOR_THIS_MATRIX_TYPE_MISSING | ErrorIndicator

## Static Public Member Functions

static void | apply (const MATRIXTYPE &, unsigned int &, unsigned int &)

## Detailed Description

### template<typename ROWCOL, typename MATRIXTYPE>
struct viennacl::tools::MATRIX_ITERATOR_INCREMENTER< ROWCOL, MATRIXTYPE >

Helper class for incrementing an iterator in a dense matrix.

Definition at line 617 of file forwards.h.

## Member Typedef Documentation

template<typename ROWCOL , typename MATRIXTYPE >

typedef MATRIXTYPE::ERROR_SPECIALIZATION_FOR_THIS_MATRIX_TYPE_MISSING viennacl::tools::MATRIX_ITERATOR_INCREMENTER< ROWCOL, MATRIXTYPE >::ErrorIndicator

Definition at line 619 of file forwards.h.

## Member Function Documentation

template<typename ROWCOL , typename MATRIXTYPE >

static void viennacl::tools::MATRIX_ITERATOR_INCREMENTER< ROWCOL, MATRIXTYPE >::apply | ( | const MATRIXTYPE & | ,
|  | unsigned int & | ,
|  | unsigned int & |
| ) |  |

inline static

Definition at line 621 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h